Skip to main content
DELETE
/
v2
/
offer
/
{publisherOfferId}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/post-purchase-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "post-purchase-1",
  "name": "Purchase Reward Offer",
  "displayName": "Purchase Reward Offer",
  "description": "Post purchase offer for VIP players.",
  "type": "PopUp",
  "subType": "PostPurchase",
  "active": true,
  "segments": [],
  "offerUi": {
    "offerUiId": "68b41c5aa1c5b1a284737e9b",
    "active": true,
    "offerUiType": "PopUp",
    "name": "popup",
    "description": "description",
    "backgroundImage": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2755379465856__fa883338-5790-47c8-a6a0-23cb43db58844",
    "externalId": "popup"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "product": {
            "publisherProductId": "TreasureChest",
            "name": "Treasure Chest",
            "type": "Quantity",
            "prefix": "$",
            "suffix": "M",
            "priority": "Main",
            "images": [
              {
                "type": "product",
                "url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
              },
              {
                "type": "productPrefix",
                "url": ""
              }
            ],
            "displayName": "Treasure Chest"
          }
        }
      ]
    }
  ],
  "priority": 1,
  "showAfter": "purchase",
  "triggers": [
    {
      "type": "event",
      "eventName": "purchase",
      "every": 1,
      "rules": []
    }
  ],
  "createdAt": "2025-09-01T14:16:09.499Z",
  "updatedAt": "2025-09-01T14:16:09.499Z",
  "offerId": "68b5aaa9b73fceb9ffc26f9b"
}
curl -X DELETE \
  'https://api.appcharge.com/v2/offer/post-purchase-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "post-purchase-1",
  "name": "Purchase Reward Offer",
  "displayName": "Purchase Reward Offer",
  "description": "Post purchase offer for VIP players.",
  "type": "PopUp",
  "subType": "PostPurchase",
  "active": true,
  "segments": [],
  "offerUi": {
    "offerUiId": "68b41c5aa1c5b1a284737e9b",
    "active": true,
    "offerUiType": "PopUp",
    "name": "popup",
    "description": "description",
    "backgroundImage": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2755379465856__fa883338-5790-47c8-a6a0-23cb43db58844",
    "externalId": "popup"
  },
  "productsSequence": [
    {
      "index": 1,
      "products": [
        {
          "product": {
            "publisherProductId": "TreasureChest",
            "name": "Treasure Chest",
            "type": "Quantity",
            "prefix": "$",
            "suffix": "M",
            "priority": "Main",
            "images": [
              {
                "type": "product",
                "url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
              },
              {
                "type": "productPrefix",
                "url": ""
              }
            ],
            "displayName": "Treasure Chest"
          }
        }
      ]
    }
  ],
  "priority": 1,
  "showAfter": "purchase",
  "triggers": [
    {
      "type": "event",
      "eventName": "purchase",
      "every": 1,
      "rules": []
    }
  ],
  "createdAt": "2025-09-01T14:16:09.499Z",
  "updatedAt": "2025-09-01T14:16:09.499Z",
  "offerId": "68b5aaa9b73fceb9ffc26f9b"
}

Headers

x-publisher-token
string
required

The publisher token

Path Parameters

publisherOfferId
string
required

The offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Example:

"post-purchase-1"

Response

Deleted offer.

publisherId
string

Publisher ID.

offerId
string

The unique identifier of the Post Purchase Popup.

publisherOfferId
string

The Post Purchase Popup ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

name
string

The name of the Post Purchase Popup.

displayName
string

The display name of the Post Purchase Popup. If not provided, the name will be used.

description
string

The description of the Post Purchase Popup (conditionally returned).

type
string

The type of offer.

subtype
string

The sub type of the offer - In this case 'PostPurchase'.

active
boolean

Whether the Post Purchase Popup is active.

segments
string[]

List of player segments that this Post Purchase Popup applies to (e.g., ["NewUser", "BigSpender"]). This is empty by default.

showAfter
string

The player action after which the offer is displayed.

Example:

"purchase"

offerUi
object

UI configuration for the Post Purchase Popup.

triggers
object[]

An array of objects specifying the conditions under which the popup should be triggered.

productsSequence
object[]

A sequence of products in the Post Purchase Popup.

createdAt
string<date-time>

Date the Post Purchase Popup was created.

updatedAt
string<date-time>

Date the Post Purchase Popup was updated.